.main-container {
  margin: -100px auto 0 auto;
  padding: 0 15px;
}

/* --- LANDING PAGE --- */

#home {
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  min-height: 100vh;
}

.landing-page-details {
  margin: auto 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.landing-page-socials ul {
  display: flex;
  flex-direction: row;
  margin-bottom: 20px;
}

.landing-page-socials ul li a i {
  font-size: 1.5em;
  padding: 10px;
  margin: 0 5px;
}

.small-title {
  text-align: left;
  font-size: 1.5em;
  font-weight: 700;
  margin-bottom: 0.5em;
}

.big-title {
  margin: 0;
  text-align: left;
  font-weight: 700;
  font-size: 2em;
  letter-spacing: 0;
}

.my-name {
  letter-spacing: 0.1em;
  font-family: "Fira Code", monospace;
}

h3 {
  margin: 5px 0 0 0;
  text-align: left;
}

h3 em {
  color: white;
  letter-spacing: 0.05em;
}

h3 a:hover {
  color: var(--color-secondary);
  text-decoration: underline;
}

.short-bio {
  margin-top: 1em;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.short-bio p {
  margin-top: 25px;
  font-size: 1.2em;
  line-height: 1.5em;
  letter-spacing: 0.025em;
}

.cta-container {
  margin: 0 auto;
}

.cta {
  display: flex;
  text-align: center;
  align-items: center;
  width: fit-content;
  width: -moz-fit-content;
  padding: 10px 12px;
  border-radius: 15px;
  border: 1px solid var(--color-text);
  font-weight: 700;
  letter-spacing: 0.05em;
  color: var(--color-bg);
  background-color: var(--color-text);
  margin-top: 50px;
  transition: all 0.2s ease;
  cursor: pointer;
}

.cta img {
  height: 25px;
  width: 25px;
}

.cta span {
  margin-left: 10px;
  color: var(--color-bg);
  font-weight: 700;
}

.email-button {
  border: 1px solid var(--color-primary);
  background-color: var(--color-primary);
}

.cta:hover {
  border: 1px solid var(--color-secondary);
  background-color: var(--color-secondary);
  padding: 10px 20px;
}

.art-me {
  height: 225px;
  margin-bottom: auto;
  border-radius: 50%;
  box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.3);
  transition: transform 0.3s ease;
}

.art-me img {
  height: 100%;
}

@media only screen and (min-width: 768px) {
  .big-title {
    font-size: 3.5em;
  }
  .short-bio {
    max-width: 90%;
  }
  .art-me {
    display: block;
    margin: 0 auto;
  }
  #home {
    flex-direction: row;
  }
  .landing-page-socials ul {
    flex-direction: column;
  }
  .landing-page-socials ul li a i {
    margin: 5px 0;
  }
  .email-container {
    margin: 0;
  }
}

@media only screen and (min-width: 1000px) {
  #home {
    gap: 10%;
  }
}
